<?php

if (!isset($seo[1])) redirect();

$page = new page($seo[1]);

if (theme_component('page'))
	include theme_component('page');
else
	if ($page->readable())
	{
		addTitle($page->data['pageTitle']);

		echo "<h1>".htmlspecialchars($page->data['pageTitle'])."</h1>";
		echo entry_show_all($page->data['pageContent']);
	}